New to Kendo UI for VueStart a free 30-day trial

Specifies the baseUnit type of the category axis.

The possible values are:

  • "milliseconds", "seconds", "minutes", "hours", "days", "weeks", "months", "years"—Sets a fixed base time interval for the axis labels.
  • "auto"—Automatically determines the base unit by the minimum difference between subsequent categories.
  • "fit"—Adjusts the categoryAxis.baseUnitStep and base unit so that the number of categories does not exceed categoryAxis.maxDateGroups, and uses the series.aggregate function to aggregate data based on the selected base unit.

Possible values:

  • "milliseconds"
  • "seconds"
  • "minutes"
  • "hours"
  • "days"
  • "weeks"
  • "months"
  • "years"
  • "auto"
  • "fit"
Example:
jsx
<template>
 <Chart>
   <ChartCategoryAxis>
    <ChartCategoryAxisItem :base-unit="baseUnit" />
   </ChartCategoryAxis>
   <ChartSeries>
     <ChartSeriesItem :category-field="category" :data-items="dataItems" />
   </ChartSeries>
 </Chart>
</template>
<script>
import {
 Chart,
 ChartCategoryAxis,
 ChartCategoryAxisItem,
 ChartSeries,
 ChartSeriesItem
} from '@progress/kendo-vue-charts';

export default {
  components: {
      Chart,
      ChartCategoryAxis,
      ChartCategoryAxisItem,
      ChartSeries,
      ChartSeriesItem
  },
  data () {
      return {
         baseUnit: "months",
         dataItems: [
             { category: new Date(2000, 0, 1), value: 1 },
             { category: new Date(2001, 0, 1), value: 1}
         ]
      };
  }
}
</script>
Not finding the help you need?
Contact Support

New to Kendo UI for AngularStart a free 30-day trial

CategoryBaseUnit

Updated over 6 months ago

Specifies the baseUnit type of the category axis.

The possible values are:

  • BaseUnit—Sets the base time interval for the axis labels.
  • "auto"—Automatically determines the base unit by the minimum difference between subsequent categories.
  • "fit"—Adjusts the categoryAxis.baseUnitStep and base unit so that the number of categories does not exceed categoryAxis.maxDateGroups, and uses the series.aggregate function to aggregate data based on the selected base unit.
ts
import { Component } from '@angular/core';
import { CategoryBaseUnit } from '@progress/kendo-angular-charts';

@Component({
  selector: 'my-app',
  template: `
    <kendo-chart>
      <kendo-chart-category-axis>
        <kendo-chart-category-axis-item [baseUnit]="baseUnit" >
        </kendo-chart-category-axis-item>
      </kendo-chart-category-axis>
      <kendo-chart-series>
        <kendo-chart-series-item categoryField="category" [data]="data">
        </kendo-chart-series-item>
      </kendo-chart-series>
    </kendo-chart>
  `
})
class AppComponent {
  public baseUnit: CategoryBaseUnit = "months";
  public data: any[] = [{ category: new Date(2000, 0, 1), value: 1 }, { category: new Date(2001, 0, 1), value: 1}];
}

type CategoryBaseUnit = "milliseconds" | "seconds" | "minutes" | "hours" | "days" | "weeks" | "months" | "years" | "auto" | "fit";

Not finding the help you need?
Contact Support